# Night Light Slider

**Night Light Slider** is a GNOME extension that adds a slider to the quick settings panel, allowing you to easily adjust the color temperature of Night Light mode without diving into the Settings app.

![Quick Settings Preview](quick-settings-screenshot.png)

## Installation

### From the GNOME Extensions Store 

link coming soon – pending GNOME's approval! 🚀

### Manual method

1. **Clone this repository or download the files**:
   ```bash
   git clone https://github.com/devoscarm/night-light-slider.git
   ```

2. **Copy the files to the GNOME extensions directory**:
    ```bash
    cp -r night-light-slider ~/.local/share/gnome-shell/extensions/night-light-slider@devoscarm.github.com
    ```

3. **Restart GNOME**:

    - On Xorg: Press 'Alt + F2', type 'r' and press 'Enter'.
    - On Wayland: Log Out and log back in.

4. **Enable the extension**:

    Use GNOME Tweaks or run the following command:
    ```bash
    gnome-extensions enable night-light-slider@devoscarm.github.com
    ```

## Contributions

Got ideas, suggestions, or found a bug?  
[Open an issue on GitHub](https://github.com/devoscarm/night-light-slider/issues) or submit a **pull request**.

## License

This project is released under the **GNU General Public License v3.0**.
For full details, see the [LICENSE](LICENSE) file.

## Acknowledgments

I'm thrilled to share my first GNOME extension and contribute to the amazing FOSS world!
This project wouldn't have been possible without the incredible open-source community, which
has taught me so much over the years.

I'd like to extend my gratitude to the communities of **Ubuntu**, **Debian**, and **GNOME** for 
their invaluable forums, documentation and discussions. Your knowledge, generosity, and passion
continue to be a source of inspiration.

To all open-source contributors out there - **thank you for making technology accessible, 
transparent, and truly collaborative!** 🚀